package com.goafanti.business.service;

import java.util.List;

import com.goafanti.business.bo.JtBusinessCategoryBo;
import com.goafanti.business.bo.JtBusinessCategoryTree;
import com.goafanti.common.model.JtBusinessCategory;
import com.goafanti.common.model.JtBusinessProject;
import com.goafanti.core.mybatis.page.Pagination;

public interface JtBusinessService {
JtBusinessCategory getBusinessCategoryByLayerAndName(Integer layer,String name);
List<JtBusinessCategory> getBusinessCategoryBySuperId(String id,Integer size);
List<JtBusinessProject>getBusinessProjectByCategoryId(String id,Integer size);
JtBusinessProject getBusinessProjectDetail(String id);
JtBusinessCategoryTree getCategoryTree(String id);
List<JtBusinessCategoryBo>getCategoryBoList();
Pagination<JtBusinessProject>getProjects(String topId,String secondId,String name,Integer pageSize,Integer pageNo); 
int insertCategory(JtBusinessCategory jtBusinessCategory);
int deleteCategoryById(String id);
JtBusinessCategory getCategoryById(String id);
int updateCategory(JtBusinessCategory jtBusinessCategory);
int insertProject(JtBusinessProject jtBusinessProject);
int deleteProjectById(String id);
int updateProject(JtBusinessProject jtBusinessProject);
List<JtBusinessProject>getProjectsLimit(Integer size);
}
